package com.ardrawing.ardrawingspace.util;

import android.app.Application;

import com.ardrawing.ardrawingspace.room.SpaceEntity;
import com.ardrawing.ardrawingspace.viewmodel.SpaceViewModel;

import java.util.List;

public class SpaceRepository {
    private final Application application;

    public SpaceRepository(Application application) {
        this.application = application;
    }

    public void insertAll(List<SpaceEntity> entities) {
        SpaceViewModel viewModel = new SpaceViewModel(application);
        viewModel.insertAll(entities);
    }
}
